# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [1.1.0](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v1.0.1...v1.1.0) (2023-02-10)

## [1.1.0-41allowdashboardstoruninthebackground.0](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v1.0.1...v1.1.0-41allowdashboardstoruninthebackground.0) (2023-02-09)


### Features

* run dashboards in background ([f72a45a](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/f72a45a5f68acea103cfea5750797d3e5b9d67cf))
* run dashboards in background ([e71af3f](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/e71af3f6cdb4cbcc11524c2e426983f8111e5acf))


### Bug Fixes

* return response to not trigger default view ([bfc1378](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/bfc13782e5b330234a030a4dd3c6d8343a0d3f99))


## [1.1.0-pre.0](https://ssh.dev.azure.com/v3/ITRxSolutions/Rx-Universe/dashboards/compare/v1.0.1...v1.1.0-pre.0) (2023-02-07)


### Features

* highlight job rows based on how late a job is ([9948437](https://ssh.dev.azure.com/v3/ITRxSolutions/Rx-Universe/dashboards/commit/994843797e69388d45f1e1562711ad9a35c00573))

### [1.0.1](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.2.2-pre.3...v1.0.1) (2022-12-28)

### [0.2.2-pre.3](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.2.2-pre.2...v0.2.2-pre.3) (2022-12-14)


### Bug Fixes

* model attribute validations ([e4548b1](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/e4548b152f8678713ae9d9c5d37d656450877b42))

### [0.2.2-pre.2](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.2.2-pre.1...v0.2.2-pre.2) (2022-11-30)

### [0.2.2-pre.1](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.2.2-pre.0...v0.2.2-pre.1) (2022-10-06)

### [0.2.2-pre.0](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.2.1-pre.4...v0.2.2-pre.0) (2022-07-22)

### [0.2.1-pre.4](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.2.1-pre.3...v0.2.1-pre.4) (2022-07-22)


### Bug Fixes

* commit lab layout view model before submitting ([ce60881](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/ce60881d39cdff6e9ade40f8fec05f2a351a728a))

### [0.2.1-pre.3](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.2.1-pre.2...v0.2.1-pre.3) (2022-07-14)

### [0.2.1-pre.2](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.2.1-pre.1...v0.2.1-pre.2) (2022-07-14)


### Bug Fixes

* display unique colors on graphs of different types ([d526606](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/d5266061176042a7e5b52f3b25f77352e8d29065))

### [0.2.1-pre.1](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.2.1-pre.0...v0.2.1-pre.1) (2022-07-14)

### [0.2.1-pre.0](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.66-pre.1...v0.2.1-pre.0) (2022-07-14)


### Features

* added date and time parameters ([8f15555](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/8f15555afb50cd0702971660b4bd4c6b9404c8f9))
* changed the DashboardComponentTable so that the column width can be set ([26041bd](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/26041bd95f8fb644e0dca8dca02019e7fa2a76cb))
* changed the DashboardComponentTable so that the filterable flag can be changed based on the ui_hint ([1307a8e](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/1307a8e93a51bee259d391102adc32eb81aafe66))


### Bug Fixes

* don't show the Data Label checkbox if the Display Type is Table ([a7cccdc](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/a7cccdcc7f29cd1fda07c5096c07ee5d2bed0c63))

### [0.1.66-pre.1](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.66-pre.0...v0.1.66-pre.1) (2022-07-12)


### Bug Fixes

* Dashboard store was checking incorrect permission id on the front end ([ece2fa1](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/ece2fa1526db4b609a0a0e4dc92a5d207e1022e4))

### [0.1.66-pre.0](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65...v0.1.66-pre.0) (2022-07-12)

### [0.1.65](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.14...v0.1.65) (2022-07-12)


### Bug Fixes

* better errors when permissions unmatched ([fd19406](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/fd19406723ce7c6121082912680f7df8b9408eba))

### [0.1.65-satisdashboardwp1.4](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.14...v0.1.65-satisdashboardwp1.4) (2022-06-29)


### Bug Fixes

* make component dependant on component model ([eda27cd](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/eda27cd550f8e5c01ee87f371c21bd29aa285761))
* make dashboard target params + ui_hint text instead of string to support nvarchar(max) on MSSQL ([e71dd8f](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/e71dd8f0e2c39e9b2b0cd2236a3d261ac666be03))
* maxRows for scoreCard ([74d698a](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/74d698a4d0d66560651ebeaa38298aa33f71c7b5))
* only count non divider rows in maxRow ([96af3aa](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/96af3aa032755345839a058a05a374dcc84ac3cd))

### [0.1.65-satisdashboardwp1.3](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-satisdashboardwp1.2...v0.1.65-satisdashboardwp1.3) (2022-06-23)

### [0.1.65-satisdashboardwp1.2](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-satisdashboardwp1.1...v0.1.65-satisdashboardwp1.2) (2022-06-23)

### [0.1.65-satisdashboardwp1.1](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-satisdashboardwp1.0...v0.1.65-satisdashboardwp1.1) (2022-06-23)

### [0.1.65-satisdashboardwp1.0](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.13...v0.1.65-satisdashboardwp1.0) (2022-06-23)


### Features

* add options to enable header ([2e7d00b](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/2e7d00b45b9d98b643ea8bbbac408d2f98c308bf))
* dashboard header ([1f8e293](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/1f8e293dab3abc5e9b056d6d412ddca1c542ac4d))
* ScoreCardComponent ([c41dc79](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/c41dc79515f29d4f2e9289f3391aa68f11ea22e7))
* ScoreCardComponent ([a6987e1](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/a6987e16781fb8905b699a15b78070aa3c2c0469))
* ScoreCardComponent ([1ab1977](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/1ab19779d2575445a9ef2d33c873defd8e0763f6))
* ScoreCardComponent ([05ffd7a](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/05ffd7a4eb2ef8787e8dc65477046f50c06771c2))


### Bug Fixes

* add spacing to machine status data ([f676921](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/f676921b126d686536d477a7a7b246df575ad2e4))
* change dashboard component cols to text to support more data ([cbedc1c](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/cbedc1cc2cdcde0c349a0f3965f43c784b8c612e))
* return empty props on no row (otherwise table fails to render on a new model) ([d13f847](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/d13f8470fd2653c9c54c7d1b099eaacf82d19e81))
* reverted changes to dashboard tables ([8167360](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/81673605e8efb80ecb1cded51d54badcebbdf83e))
* reverted changes to dashboard tables ([3fadf2a](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/3fadf2a755a34db51b8e372351a89874e6577e1f))
* use new dashboard name to set default display type ([4543562](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/45435620a15d91c05e249164a2e730deabf4cd45))
* use view model to select target so that new models can load ([31182e2](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/31182e24cfc947024f5f4b4366067c1949a654ef))

### [0.1.65-pre.14](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.13...v0.1.65-pre.14) (2022-06-24)


### Features

* ruby 2.7 ([2667503](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/2667503bed2a17866a965e1929db06b053112983))


### Bug Fixes

* link to setup dashboard groups if no dashboard found ([42ec888](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/42ec888200ed28bd8297c68a7057ae332bd4c843))

### [0.1.65-pre.13](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.12...v0.1.65-pre.13) (2022-06-15)

### [0.1.65-pre.12](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.9...v0.1.65-pre.12) (2022-06-15)


### Features

* set the landing page to be the slideshow ([45e1abe](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/45e1abef3f662a7d7ff3338f1ed7dba8efb4180f))


### Bug Fixes

* don't need to ask self for dashboards ([7a19cfe](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/7a19cfe91c63ccaa9dd48c18356227eb6f1e8329))
* issue where slideshow would not paly if you went there directly ([323cdc1](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/323cdc11a626dbeebbb85999ca44704919a158dc))
* rdragging to reorder slides did not work ([67d3263](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/67d3263ba7f7e8bf2ad67c7abf09aad7e0ffc497))

### [0.1.65-pre.11](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.10...v0.1.65-pre.11) (2022-05-03)

### [0.1.65-pre.10](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.8...v0.1.65-pre.10) (2022-05-03)

### [0.1.65-pre.11](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.10...v0.1.65-pre.11) (2022-06-12)

### [0.1.65-pre.10](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.5...v0.1.65-pre.10) (2022-06-12)


### Features

* Allow users to set up custom label dashboard component ([ba9ab97](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/ba9ab97c2716b523f790eae468f55984d74ef246))

### [0.1.65-pre.9](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.8...v0.1.65-pre.9) (2022-05-17)


### Features

* Allow users to set up custom label dashboard component ([ba9ab97](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/ba9ab97c2716b523f790eae468f55984d74ef246))

### [0.1.65-pre.8](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.7...v0.1.65-pre.8) (2022-04-13)

### [0.1.65-pre.7](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.6...v0.1.65-pre.7) (2022-04-13)

### [0.1.65-pre.6](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.5...v0.1.65-pre.6) (2022-04-12)

### [0.1.65-pre.5](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.4...v0.1.65-pre.5) (2022-03-01)

### [0.1.65-pre.4](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.3...v0.1.65-pre.4) (2022-02-28)


### Bug Fixes

* translations ([b861253](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/b861253f81edb55625140f7ab956dd2353c5caf5))
* use yarn prefix ([4428f90](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/4428f90a6490b1510d5584bf9e1f6c17c815b832))

### [0.1.65-pre.3](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.2...v0.1.65-pre.3) (2022-02-25)

### [0.1.65-pre.2](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.1...v0.1.65-pre.2) (2022-02-18)

### [0.1.65-pre.1](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-pre.0...v0.1.65-pre.1) (2022-02-18)


### Features

* upgrade to 2.0 libs ([36e1da8](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/36e1da821f68890b4009bd692cf9e4ba42c0bc7b))


### Bug Fixes

* add standard, danger ([cfa27a7](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/cfa27a742f1aa70f5232b66350f39248832abbc0))
* no breaking tests ([ca3f2ad](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/commit/ca3f2adb694f1b404ed9cc02ee8cf1fa78887ce2))

### [0.1.65-pre.0](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.65-0...v0.1.65-pre.0) (2021-11-22)

### [0.1.65-0](https://git.satisloh.dev/rx-suite/modules/optional/dashboards/compare/v0.1.64...v0.1.65-0) (2021-11-22)

### [0.1.64](http://omics.dyndns.biz:4747/rx-suite/modules/optional/dashboards/compare/v0.1.63...v0.1.64) (2021-07-23)


### Bug Fixes

* require correct version of react-table ([90ccdd6](http://omics.dyndns.biz:4747/rx-suite/modules/optional/dashboards/commit/90ccdd6ffdc22c6c7ab02d8dcda8bcc1b2078ccc))

### [0.1.63](http://omics.dyndns.biz:4747///compare/v0.1.62...v0.1.63) (2021-07-22)

### [0.1.62](http://omics.dyndns.biz:4747///compare/v0.1.61...v0.1.62) (2021-06-25)

### [0.1.61](http://omics.dyndns.biz:4747///compare/v0.1.60...v0.1.61) (2021-06-25)

### [0.1.60](http://omics.dyndns.biz:4747///compare/v0.1.59...v0.1.60) (2021-05-21)


### Features

* upgrade react grid ([7eedf83](http://omics.dyndns.biz:4747///commit/7eedf831c1b1ea2978a0726e957d4de5ff6507d9))

### [0.1.59](http://omics.dyndns.biz:4747///compare/v0.1.58...v0.1.59) (2021-05-20)


### Features

* support features required for Satisloh (inc. annotations & color picking) ([df0d8cf](http://omics.dyndns.biz:4747///commit/df0d8cf424b1b4d492d4b8dc6f92aa7873abe5d6))

### [0.1.58](http://omics.dyndns.biz:4747///compare/v0.1.57...v0.1.58) (2021-03-18)

### [0.1.57](http://omics.dyndns.biz:4747///compare/v0.1.56...v0.1.57) (2021-03-18)

### [0.1.56](http://omics.dyndns.biz:4747///compare/v0.1.55...v0.1.56) (2021-03-18)

### [0.1.55](http://omics.dyndns.biz:4747///compare/v0.1.54...v0.1.55) (2021-03-18)

### [0.1.54](http://omics.dyndns.biz:4747///compare/v0.1.53...v0.1.54) (2021-03-10)


### Bug Fixes

* Apply CSS in Page mode ([9570b4c](http://omics.dyndns.biz:4747///commit/9570b4caca1bce1ee61ad10aa2be2545f5603287))

### [0.1.53](http://omics.dyndns.biz:4747///compare/v0.1.52...v0.1.53) (2021-03-09)


### Bug Fixes

* oops ([da030a0](http://omics.dyndns.biz:4747///commit/da030a09dd4f948c07ef5067ce3ec192fae1e213))

### [0.1.52](http://omics.dyndns.biz:4747///compare/v0.1.51...v0.1.52) (2021-03-09)


### Bug Fixes

* load css in dev ([e120cb4](http://omics.dyndns.biz:4747///commit/e120cb4854e8a8242e52e63fff759dc6e057f727))

### [0.1.51](http://omics.dyndns.biz:4747///compare/v0.1.50...v0.1.51) (2021-03-09)


### Features

* optimize prod build ([2cca280](http://omics.dyndns.biz:4747///commit/2cca280b35fe1358ed4851eeeec5ad54ba3cfc68))


### Bug Fixes

* load dotenv in boot.rb ([c430f45](http://omics.dyndns.biz:4747///commit/c430f45b4d1b99386f1a4e9ed050a46956aebf77))

### [0.1.50](http://omics.dyndns.biz:4747///compare/v0.1.49...v0.1.50) (2021-01-11)


### Bug Fixes

* don't use bootsnap in production ([7072cf8](http://omics.dyndns.biz:4747///commit/7072cf8c83deedcb47517d67745168df2b188576))

### [0.1.49](http://omics.dyndns.biz:4747///compare/v0.1.48...v0.1.49) (2020-12-15)


### Bug Fixes

* lingui config ([a52404b](http://omics.dyndns.biz:4747///commit/a52404b533ec95bb94953978c83f4e1af1fae140))

### [0.1.48](http://omics.dyndns.biz:4747///compare/v0.1.47...v0.1.48) (2020-12-08)

### [0.1.47](http://omics.dyndns.biz:4747///compare/v0.1.46...v0.1.47) (2020-12-08)


### Features

* upgrade lingui ([efab3c3](http://omics.dyndns.biz:4747///commit/efab3c3aab462fec1fe63bddcc09e92ea8cfe542))

### [0.1.46](http://omics.dyndns.biz:4747///compare/v0.1.45...v0.1.46) (2020-11-25)

### [0.1.45](http://omics.dyndns.biz:4747///compare/v0.1.44...v0.1.45) (2020-11-25)


### Bug Fixes

* update .env.sample ([ab0cc58](http://omics.dyndns.biz:4747///commit/ab0cc580cc522828b9476f281492f4c368cbc606))
* update service code ([df1a895](http://omics.dyndns.biz:4747///commit/df1a895a183b11695e97e38a5128e2997a72f940))

### [0.1.44](http://omics.dyndns.biz:4747///compare/v0.1.43...v0.1.44) (2020-10-23)


### Bug Fixes

* clear request token if not set ([2561735](http://omics.dyndns.biz:4747///commit/256173561be85f08eebe141890447a5c12f15fab))
* text on run as button ([c93caec](http://omics.dyndns.biz:4747///commit/c93caeca916dbbbe02d89867633ba24975f2d283))

### [0.1.43](http://omics.dyndns.biz:4747///compare/v0.1.42...v0.1.43) (2020-10-23)

### [0.1.42](http://omics.dyndns.biz:4747///compare/v0.1.41...v0.1.42) (2020-10-23)


### Bug Fixes

* don't try to generate proxy token if no user set ([0d796df](http://omics.dyndns.biz:4747///commit/0d796dff05e668f70f85fd99294e39dcfd1b2d91))

### [0.1.41](http://omics.dyndns.biz:4747///compare/v0.1.40...v0.1.41) (2020-10-21)

### [0.1.40](http://omics.dyndns.biz:4747///compare/v0.1.39...v0.1.40) (2020-10-21)


### Features

* run dashboard as ([1b5fad4](http://omics.dyndns.biz:4747///commit/1b5fad4dcc6bd11185d1789cf1adfdc38ffc77e3))

### [0.1.39](http://omics.dyndns.biz:4747///compare/v0.1.38...v0.1.39) (2020-10-01)

### [0.1.38](http://omics.dyndns.biz:4747///compare/v0.1.37...v0.1.38) (2020-10-01)


### Bug Fixes

* new logo, private fortawesome, deps ([f5ae955](http://omics.dyndns.biz:4747///commit/f5ae95595d518c466eeb16eccee708243335bc44))

### [0.1.37](http://omics.dyndns.biz:4747///compare/v0.1.36...v0.1.37) (2020-10-01)

### [0.1.36](http://omics.dyndns.biz:4747///compare/v0.1.35...v0.1.36) (2020-08-19)

### [0.1.35](http://omics.dyndns.biz:4747///compare/v0.1.34...v0.1.35) (2020-08-19)


### Features

* groupable targets ([2cc3bbf](http://omics.dyndns.biz:4747///commit/2cc3bbfda20133f70ae517edcfb8621e3eb09b23))

### [0.1.34](http://omics.dyndns.biz:4747///compare/v0.1.33...v0.1.34) (2020-08-17)

### [0.1.33](http://omics.dyndns.biz:4747///compare/v0.1.32...v0.1.33) (2020-08-17)


### Bug Fixes

* add key to params component ([9d6adbe](http://omics.dyndns.biz:4747///commit/9d6adbeb73d9733d73fef8705d1ac67407b76c4e))
* key on value list ([9ed67e1](http://omics.dyndns.biz:4747///commit/9ed67e1cbfc8e2ee20dcb54da71a581a0c57c0c3))
* parameter wasn't disabled in read-only mode ([fcf73ae](http://omics.dyndns.biz:4747///commit/fcf73ae3752845509573e3edf5785136d577aa34))

### [0.1.32](http://omics.dyndns.biz:4747///compare/v0.1.31...v0.1.32) (2020-07-31)

### [0.1.31](http://omics.dyndns.biz:4747///compare/v0.1.30...v0.1.31) (2020-07-31)

### [0.1.30](http://omics.dyndns.biz:4747///compare/v0.1.29...v0.1.30) (2020-07-31)

### [0.1.29](http://omics.dyndns.biz:4747///compare/v0.1.28...v0.1.29) (2020-07-31)

### [0.1.28](http://omics.dyndns.biz:4747///compare/v0.1.27...v0.1.28) (2020-07-30)

### [0.1.27](http://omics.dyndns.biz:4747///compare/v0.1.26...v0.1.27) (2020-07-30)


### Features

* Assorted help text ([ad166f6](http://omics.dyndns.biz:4747///commit/ad166f60ecaa223a2e0d4fa8c72a5bf3ad7b3207))
* configurable title options ([fcb87d0](http://omics.dyndns.biz:4747///commit/fcb87d015e7df7309dfd9bdd62804536a788ec9e))


### Bug Fixes

* squished parameter hints ([a7e4308](http://omics.dyndns.biz:4747///commit/a7e43081c4a7a43efebd11f7a9172577512a078e))

### [0.1.26](http://omics.dyndns.biz:4747///compare/v0.1.25...v0.1.26) (2020-07-23)

### [0.1.25](http://omics.dyndns.biz:4747///compare/v0.1.24...v0.1.25) (2020-07-23)


### Features

* More info about parameters ([589178e](http://omics.dyndns.biz:4747///commit/589178e349946ccaafcda2af5117f21bd7ed0506))

### [0.1.24](http://omics.dyndns.biz:4747///compare/v0.1.23...v0.1.24) (2020-07-22)

### [0.1.23](http://omics.dyndns.biz:4747///compare/v0.1.22...v0.1.23) (2020-07-22)


### Features

* restructure ([9afdaef](http://omics.dyndns.biz:4747///commit/9afdaef20eb7151ea7a301d84abe6d65458b7515))

### [0.1.22](http://omics.dyndns.biz:4747///compare/v0.1.21...v0.1.22) (2020-07-20)

### [0.1.21](http://omics.dyndns.biz:4747///compare/v0.1.20...v0.1.21) (2020-07-20)


### Features

* add Counter as option for category components ([08b9cd5](http://omics.dyndns.biz:4747///commit/08b9cd52568057d9193ed439ed336ea420080866))
* horizontal bar charts ([848d277](http://omics.dyndns.biz:4747///commit/848d2779eea44583c062594ad1e28f6a0c8d1dfb))
* last error on dashboard component failure ([640ca4d](http://omics.dyndns.biz:4747///commit/640ca4d39c540220a515fe72c479212df5a922ba))

### [0.1.20](http://omics.dyndns.biz:4747///compare/v0.1.19...v0.1.20) (2020-07-07)

### [0.1.19](http://omics.dyndns.biz:4747///compare/v0.1.18...v0.1.19) (2020-07-07)

### [0.1.18](http://omics.dyndns.biz:4747///compare/v0.1.17...v0.1.18) (2020-06-10)

### [0.1.17](http://omics.dyndns.biz:4747///compare/v0.1.16...v0.1.17) (2020-06-10)

### [0.1.16](http://omics.dyndns.biz:4747///compare/v0.1.15...v0.1.16) (2020-06-10)


### Bug Fixes

* master.key incompatible with credentials.yml.enc ([ae9056e](http://omics.dyndns.biz:4747///commit/ae9056ebf183343104ec7cb608ae166455675c37))

### [0.1.15](http://omics.dyndns.biz:4747///compare/v0.1.14...v0.1.15) (2020-06-03)

### [0.1.14](http://omics.dyndns.biz:4747///compare/v0.1.13...v0.1.14) (2020-06-03)

### [0.1.13](http://omics.dyndns.biz:4747///compare/v0.1.12...v0.1.13) (2020-06-01)

### [0.1.12](http://omics.dyndns.biz:4747///compare/v0.1.11...v0.1.12) (2020-06-01)

### [0.1.11](http://omics.dyndns.biz:4747///compare/v0.1.10...v0.1.11) (2020-06-01)

### [0.1.10](http://omics.dyndns.biz:4747///compare/v0.1.9...v0.1.10) (2020-06-01)

### [0.1.9](http://omics.dyndns.biz:4747///compare/v0.1.8...v0.1.9) (2020-06-01)

### [0.1.8](http://omics.dyndns.biz:4747///compare/v0.1.7...v0.1.8) (2020-06-01)

### [0.1.7](http://omics.dyndns.biz:4747///compare/v0.1.6...v0.1.7) (2020-06-01)

### [0.1.6](http://omics.dyndns.biz:4747///compare/v0.1.5...v0.1.6) (2020-06-01)

### [0.1.5](http://omics.dyndns.biz:4747///compare/v0.1.4...v0.1.5) (2020-06-01)

### [0.1.4](http://omics.dyndns.biz:4747///compare/v0.1.3...v0.1.4) (2020-06-01)

### [0.1.3](http://omics.dyndns.biz:4747///compare/v0.1.2...v0.1.3) (2020-05-29)

### [0.1.2](http://omics.dyndns.biz:4747///compare/v0.1.1...v0.1.2) (2020-05-29)


### Bug Fixes

* package id ([d97fb9f](http://omics.dyndns.biz:4747///commit/d97fb9f9bc1a45f49f59b9fd2c7910085751c56c))

### 0.1.1 (2020-05-29)


### Features

* add preview to dashboard component picker table ([6b30f74](http://omics.dyndns.biz:4747///commit/6b30f74bb21780dbd16230f713aa695a358e0fa2))
* better exports ([7d6a83e](http://omics.dyndns.biz:4747///commit/7d6a83e1dcc3af487a609ee69630a604d51ace66))
* dashboard groups & slideshow ([c9e91c4](http://omics.dyndns.biz:4747///commit/c9e91c434bfa7b0724367941b1194806d118c402))
* Gauge & Counter dashbaords ([8e67ac5](http://omics.dyndns.biz:4747///commit/8e67ac58a245ba725d4f431724604c97093c2657))
* process dashbaord category, sort by group label ([d84a8e6](http://omics.dyndns.biz:4747///commit/d84a8e6ec48ef2bebde7038c6f6ed859e458fde9))
* render multiple series in pie/polar charts ([f3d13c0](http://omics.dyndns.biz:4747///commit/f3d13c0e21e01b8ae50271035465e30c2a2b8cf2))
* show dashboard component on edit page ([296583a](http://omics.dyndns.biz:4747///commit/296583ac62a45967329f5c8572635e114cbd1379))


### Bug Fixes

* constrain rpeview height ([654d138](http://omics.dyndns.biz:4747///commit/654d138007b93deb3a01aac67df360b18e879d19))
* nullable display_options ([1b1819b](http://omics.dyndns.biz:4747///commit/1b1819beddec683033dca7f2a35da11a9930c290))
* only check dashbaords on rx-modules ([85d3522](http://omics.dyndns.biz:4747///commit/85d3522373fc6de749b51a93c7176a13598568b0))
* reset display type on target change if no longer valid ([28d841d](http://omics.dyndns.biz:4747///commit/28d841dc597a2fe5e0b605aafb8b7bd5151fd097))
* resize charts on layout update ([538bcc9](http://omics.dyndns.biz:4747///commit/538bcc9893a10ee77aa0db8619da873f596218a9))
* uncontroleld input warning ([f95f636](http://omics.dyndns.biz:4747///commit/f95f636ccd26c1bf4df6ee1f2e81ad988ba1dfa1))
