class CreateLabLayoutComponents < ActiveRecord::Migration[6.0]
  def change
    create_table :lab_layout_components do |t|
      t.belongs_to :lab_layout, foreign_key: {on_delete: :cascade, on_update: :cascade}
      t.string :name
      t.string :component_type
      t.string :machine_sn
      t.string :machine_group_ids
      t.integer :alert_after
      t.float :x
      t.float :y
      t.float :width
      t.float :height
      t.numeric :z_index
      t.float :aspect_ratio
      t.timestamps
    end
  end
end
